<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd" >
<suite name="Smoke Suite">

    <test name="Login section">
        <classes>
            <class name="com.mati.web.tests.dashboard.login.EmptyCredentialsFieldsTest"/>
            <class name="com.mati.web.tests.dashboard.login.RetrieveLostPasswordTest"/>
            <class name="com.mati.web.tests.dashboard.login.IncorrectUserCredentialsTest"/>
            <class name="com.mati.web.tests.dashboard.login.InvalidEmailAddressInPasswordRecoveryTest"/>
            <class name="com.mati.web.tests.dashboard.login.UserLoginTest"/>
            <class name="com.mati.web.tests.dashboard.login.LoginTest"/>
            <class name="com.mati.web.tests.dashboard.login.CloseSessionTest"/>
            <class name="com.mati.web.tests.dashboard.login.RequestNewAccountTest"/>
        </classes>
    </test>

    <test name="Verification List section">
        <classes>
            <class name="com.mati.web.tests.dashboard.verificationlist.ReviewButtonInDashboardTest"/>
            <class name="com.mati.web.tests.dashboard.verificationlist.CalendarLocalizedTest"/>
            <class name="com.mati.web.tests.dashboard.verificationlist.DownloadCsvButtonDisabledTest"/>
            <class name="com.mati.web.tests.dashboard.verificationlist.DownloadCsvSpinnerTest"/>
            <class name="com.mati.web.tests.dashboard.verificationlist.ExitPageDuringDownloadingCsvTest"/>
            <class name="com.mati.web.tests.dashboard.verificationlist.VerificationListCanBeLeftTest"/>
            <class name="com.mati.web.tests.dashboard.verificationlist.WarningAboutDownloadingCsvTest"/>
        </classes>
    </test>

    <test name="Language section">
        <classes>
            <class name="com.mati.web.tests.dashboard.language.LanguageTest"/>
        </classes>
    </test>

    <test name="SignUp test">
        <classes>
            <class name="com.mati.web.tests.dashboard.signup.SignUpNegativeTest"/>
        </classes>
    </test>

    <test name="Collaborators">
        <classes>
            <class name="com.mati.web.tests.dashboard.collaborators.VerificationHistoryAreaOpensQuicklyTest"/>
            <class name="com.mati.web.tests.dashboard.collaborators.NegativeInvitationsTest"/>
            <class name="com.mati.web.tests.dashboard.collaborators.InvitationsTest"/>
<!--            <class name="com.mati.web.tests.dashboard.collaborators.InviteTeamMember"/>-->
<!--            <class name="com.mati.web.tests.dashboard.collaborators.CreateDataIsDisplayedTest"/>-->
        </classes>
    </test>

    <test name="Settings">
        <classes>
            <class name="com.mati.web.tests.dashboard.settings.SettingsTest"/>
        </classes>
    </test>

    <test name="Flow builder section">
        <classes>
            <class name="com.mati.web.tests.dashboard.flowbuilder.ProductListDisplaysRequiredDetailsTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.VerifyMeLunchesVerificationDialogTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.graphui.FlowBuilderTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.graphui.FlowSettingsPopUpTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.graphui.ProductsTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.graphui.SaveAndPublishFlowTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.flowinfo.ClickingBackArrowReturnsToVerificationFlowsPageTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.flowinfo.FlowInfoDisplayRequiredDataTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.products.RequiredChecksAreAvailableTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.products.AMLSettingsTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.products.BiometricsSettingsTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.products.ProductsRequireDocumentVerificationTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.products.ProductListedInRightPositionTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.products.GovernmentCheckSettingsTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.products.IPCheckSettingsTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.products.documentverification.DocumentVerificationTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.products.documentverification.RemovingDocumentVerificationWarningTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.products.documentverification.VerificationWizardTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.products.documentverification.WarningAMLAndGovCheckTest"/>
            <class name="com.mati.web.tests.dashboard.flowbuilder.products.documentverification.BlackWhiteDocumentTest"/>
        </classes>
    </test>

    <test name="Dev test">
        <classes>
            <class name="com.mati.web.tests.dashboard.dev.DevTest"/>
        </classes>
    </test>

    <test name="Identity actions">
        <classes>
            <class name="com.mati.web.tests.dashboard.identity.actions.DeleteIdentityTest"/>
            <class name="com.mati.web.tests.dashboard.identity.actions.DownloadPdfTest"/>
            <class name="com.mati.web.tests.dashboard.identity.actions.HistoryButtonTest"/>
            <class name="com.mati.web.tests.dashboard.identity.actions.VerificationDataTest"/>
        </classes>
    </test>

    <test name="Identity info">
        <classes>
            <class name="com.mati.web.tests.dashboard.identity.info.CopyIdentityIdTest"/>
            <class name="com.mati.web.tests.dashboard.identity.info.DataNotFoundTest"/>
            <class name="com.mati.web.tests.dashboard.identity.info.DateOfBirthTest"/>
            <class name="com.mati.web.tests.dashboard.identity.info.DeviceCheckTest"/>
            <class name="com.mati.web.tests.dashboard.identity.info.EditDocumentTypeAndDocumentNumberTest"/>
            <class name="com.mati.web.tests.dashboard.identity.info.EditExpirationDateTest"/>
            <class name="com.mati.web.tests.dashboard.identity.info.EditNameTest"/>
            <class name="com.mati.web.tests.dashboard.identity.info.IdentityIncludeAllRequiredDataTest"/>
            <class name="com.mati.web.tests.dashboard.identity.info.VerificationHasDocumentTest"/>
            <class name="com.mati.web.tests.dashboard.identity.info.TimestampIdentityTest"/>
        </classes>
    </test>

    <test name="Analytics">
        <classes>
            <class name="com.mati.web.tests.dashboard.analytics.AnalyticsFilterByLocation"/>
        </classes>
    </test>

</suite>